# Xapian::DatabaseOpeningError Class Reference

DatabaseOpeningError indicates failure to open a database. More...

Inheritance diagram for Xapian::DatabaseOpeningError:

[legend]

List of all members.

## Public Member Functions
| DatabaseOpeningError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor which allows setting errno.
| DatabaseOpeningError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

DatabaseOpeningError indicates failure to open a database.

## Constructor & Destructor Documentation

Xapian::DatabaseOpeningError::DatabaseOpeningError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor which allows setting errno.

Xapian::DatabaseOpeningError::DatabaseOpeningError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

The documentation for this class was generated from the following file:

- xapian/error.h